Bug 174850 - [bxe] [patch] bxe driver does not receive multicasts
Summary: [bxe] [patch] bxe driver does not receive multicasts
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 03:10 UTC by Mike Karels
Modified: 2018-04-25 11:21 UTC (History)
0 users

See Also:


Attachments
file.diff (508 bytes, patch)
2012-12-31 03:10 UTC, Mike Karels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Karels 2012-12-31 03:10:00 UTC
	Multicast filters do not work on the bxe driver.
	Note: problem was found and fixed on a FreeBSD 8.2 derivative;
	the patch compiles with -current.

How-To-Repeat: 	Run a program that expects to receive multicast; it only works
	with promiscous or all-multicast mode.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-12-31 07:28:34 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Eric Davis freebsd_committer 2014-03-11 18:16:37 UTC
State Changed
From-To: open->feedback


The bxe driver has been re-written and committed. This multicast 
issue should no longer exit. Please verify on latest head or the 
tip of any stable branch.
Comment 3 Eric Davis freebsd_committer 2014-03-12 20:40:19 UTC
State Changed
From-To: feedback->closed


fixed in new driver version